Package org.jfree.layouting.layouter.content.resolved

## Class ResolvedCountersToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.resolved.ResolvedCountersToken

- All Implemented Interfaces:
    `ContentToken`, `ResolvedToken`, `TextType`

      public class ResolvedCountersToken
      extends java.lang.Object
      implements ResolvedToken, TextType

  Creation-Date: 12.06.2006, 14:38:29
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolvedCountersToken​(CountersToken parent, int[] counterValues)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int[]` | `getCounterValue​()` |
    `CountersToken` | `getParent​()` |
    `java.lang.String` | `getText​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolvedCountersToken

          public ResolvedCountersToken​(CountersToken parent,
                                       int[] counterValues)

  - ### Method Detail

    - #### getParent

          public CountersToken getParent​()

    - #### getText

          public java.lang.String getText​()

      Specified by:
        `getText` in interface `ResolvedToken`
      Specified by:
        `getText` in interface `TextType`

    - #### getCounterValue

          public int[] getCounterValue​()